//TODO: Verfica se serve davvero prendere le info come ip e browser

const { UAParser: parser } = require('ua-parser-js');

/**
 * Estrae le informazioni base su browser, sistema operativo e dispositivo per identificare meglio la sessione dell'utente
 * @param {*} userAgent 
 * @returns 
 */
function getBasicMetadata(userAgent) {
    const parsed = parser(userAgent);

    return {
        browser: parsed.browser.name,
        os: parsed.os.name,
        device_type: parsed.device.type,
        
    }
} 

module.exports = {
    getBasicMetadata
}

